konakona
MAMP安装各种PHP模块的方法
MAMP安装各种PHP模块的方法

由于我需要php-gmp模块,但是MAMP安装的PHP默认是没有的。之前看了一篇文章:https://stackoverflow.com/questions/32830551/adding-gmp-php-extension-to-mamp,并不实用(我试了,没效果),而且过于繁琐。后来发现一个办法非常简单,而且有效,决定分享给大家。

我本人是苹果笔记本,使用的是MAMP环境包(大象)。首先我们需要了解自己MAMP使用的PHP版本号是多少,然后去官方http://php.net/downloads.php下载这个php版本的压缩包。将压缩包解压缩,进入解压缩的目录,走一套命令:

http://blog.crazyphper.com/wp-content/uploads/2018/11/1542784392212.jpg

打开php.ini文件,在最后增加一行一句extension=gmp.so,就可以了!

最后补充一下,phpize命令是基于当前环境变量php版本运行的。如果你平时是用绝对路径去访问php,那么说明你需要设置一下软链接,使得用到的是你的那个版本的PHP。

赞赏
http://0.gravatar.com/avatar/3b712b34a0e1b689cfb524c9c6bcdc47?s=256&r=g

团哥

文章作者

继续玩我的CODE,让别人说去。 低调,就是这么自信。

konakona

MAMP安装各种PHP模块的方法
由于我需要php-gmp模块,但是MAMP安装的PHP默认是没有的。之前看了一篇文章:https://stackoverflow.com/questions/32830551/adding-gmp-php-extension-to-mamp,并不实用(我试了,没效…
扫描二维码继续阅读
2018-11-21